path: /build/build/firefox-bin-www-client-138.0.4+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-geckodriver -selinux alsa ffmpeg wayland pulseaudio" emerge www-client/firefox-bin -pv -t && \
    USE="-geckodriver -selinux alsa ffmpeg wayland pulseaudio" emerge -j ${JOBS} --nodeps www-client/firefox-bin && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/firefox-bin && \
    luet-portage --dir /pkgdir/firefox-bin www-client/firefox-bin && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:88093cc04965ffb0dbc08773d4c788a77130a1b9656c05d4404eede405a2d8ae
  package:
    name: firefox-bin
    version: 138.0.4+1
    category: www-client
    use_flags:
    - -geckodriver
    - -selinux
    - alsa
    - ffmpeg
    - wayland
    - pulseaudio
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      desktop_browser: true
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Firefox Web Browser (stable)
    uri:
    - https://www.mozilla.org/en-US/firefox/
    license: MPL-2.0 GPL-2 LGPL-2.1
    buildtimestamp: 2025-06-01 09:54:41.395394224 +0000 UTC m=+232.922315465
    labels:
      DEPEND: app-arch/unzip alsa? ( !pulseaudio? ( dev-util/patchelf media-sound/apulse
        ) ) dev-util/desktop-file-utils x11-misc/shared-mime-info
      IUSE: +alsa +ffmpeg geckodriver +pulseaudio selinux wayland startup-notification
        l10n_ach l10n_af l10n_an l10n_ar l10n_ast l10n_az l10n_be l10n_bg l10n_bn
        l10n_br l10n_bs l10n_ca-valencia l10n_ca l10n_cak l10n_cs l10n_cy l10n_da
        l10n_de l10n_dsb l10n_el l10n_en-CA l10n_en-GB l10n_en-US l10n_eo l10n_es-AR
        l10n_es-CL l10n_es-ES l10n_es-MX l10n_et l10n_eu l10n_fa l10n_ff l10n_fi l10n_fr
        l10n_fur l10n_fy-NL l10n_ga-IE l10n_gd l10n_gl l10n_gn l10n_gu-IN l10n_he
        l10n_hi-IN l10n_hr l10n_hsb l10n_hu l10n_hy-AM l10n_ia l10n_id l10n_is l10n_it
        l10n_ja l10n_ka l10n_kab l10n_kk l10n_km l10n_kn l10n_ko l10n_lij l10n_lt
        l10n_lv l10n_mk l10n_mr l10n_ms l10n_my l10n_nb-NO l10n_ne-NP l10n_nl l10n_nn-NO
        l10n_oc l10n_pa-IN l10n_pl l10n_pt-BR l10n_pt-PT l10n_rm l10n_ro l10n_ru l10n_sat
        l10n_sc l10n_sco l10n_si l10n_sk l10n_skr l10n_sl l10n_son l10n_sq l10n_sr
        l10n_sv-SE l10n_szl l10n_ta l10n_te l10n_tg l10n_th l10n_tl l10n_tr l10n_trs
        l10n_uk l10n_ur l10n_uz l10n_vi l10n_xh l10n_zh-CN l10n_zh-TW kernel_linux
      RDEPEND: dev-libs/atk >=sys-apps/dbus-0.60 >=dev-libs/dbus-glib-0.72 >=dev-libs/glib-2.26:2
        media-libs/fontconfig >=media-libs/freetype-2.4.10 >=x11-libs/cairo-1.10[X]
        x11-libs/gdk-pixbuf >=x11-libs/gtk+-2.18:2 >=x11-libs/gtk+-3.4.0:3 x11-libs/libX11
        x11-libs/libXcomposite x11-libs/libXdamage x11-libs/libXext x11-libs/libXfixes
        x11-libs/libXrender x11-libs/libXt >=x11-libs/pango-1.22.0 virtual/freedesktop-icon-theme
        alsa? ( !pulseaudio? ( media-sound/apulse ) ) geckodriver? ( www-apps/geckodriver
        ) pulseaudio? ( media-sound/pulseaudio ) ffmpeg? ( media-video/ffmpeg ) selinux?
        ( sec-policy/selinux-mozilla )
      emerge.packages: www-client/firefox-bin
      kit: browser-kit
      original.package.name: www-client/firefox-bin
      original.package.slot: "0"
      original.package.version: 138.0.4
    treedir: /build/packages
  package_dir: /pkgdir/firefox-bin
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b4759e1f7d46cbbccd2edc2eb9412e72c38a744f7fd8af74ce6d0315e513c246
compressiontype: zstd
files:
- etc/revdep-rebuild/10firefox-bin
- opt/firefox/application.ini
- opt/firefox/browser/chrome/icons/default/default128.png
- opt/firefox/browser/chrome/icons/default/default16.png
- opt/firefox/browser/chrome/icons/default/default32.png
- opt/firefox/browser/chrome/icons/default/default48.png
- opt/firefox/browser/chrome/icons/default/default64.png
- opt/firefox/browser/defaults/preferences/all-gentoo.js
- opt/firefox/browser/omni.ja
- opt/firefox/crashreporter
- opt/firefox/defaults/pref/channel-prefs.js
- opt/firefox/defaults/pref/local-settings.js
- opt/firefox/dependentlibs.list
- opt/firefox/distribution/policies.json
- opt/firefox/firefox
- opt/firefox/firefox-bin
- opt/firefox/firefox-bin.sig
- opt/firefox/firefox.sig
- opt/firefox/fonts/TwemojiMozilla.ttf
- opt/firefox/glxtest
- opt/firefox/gmp-clearkey/0.1/libclearkey.so
- opt/firefox/gmp-clearkey/0.1/libclearkey.so.sig
- opt/firefox/gmp-clearkey/0.1/manifest.json
- opt/firefox/icons/updater.png
- opt/firefox/libfreeblpriv3.so
- opt/firefox/libgkcodecs.so
- opt/firefox/liblgpllibs.so
- opt/firefox/libmozavcodec.so
- opt/firefox/libmozavutil.so
- opt/firefox/libmozgtk.so
- opt/firefox/libmozsandbox.so
- opt/firefox/libmozsqlite3.so
- opt/firefox/libmozwayland.so
- opt/firefox/libnspr4.so
- opt/firefox/libnss3.so
- opt/firefox/libnssutil3.so
- opt/firefox/libplc4.so
- opt/firefox/libplds4.so
- opt/firefox/libsmime3.so
- opt/firefox/libsoftokn3.so
- opt/firefox/libssl3.so
- opt/firefox/libxul.so
- opt/firefox/libxul.so.sig
- opt/firefox/omni.ja
- opt/firefox/pingsender
- opt/firefox/platform.ini
- opt/firefox/precomplete
- opt/firefox/removed-files
- opt/firefox/update-settings.ini
- opt/firefox/updater
- opt/firefox/updater.ini
- opt/firefox/vaapitest
- usr/bin/firefox-bin
- usr/share/applications/firefox-bin.desktop
- usr/share/icons/hicolor/128x128/apps/firefox-bin.png
- usr/share/icons/hicolor/16x16/apps/firefox-bin.png
- usr/share/icons/hicolor/32x32/apps/firefox-bin.png
- usr/share/icons/hicolor/48x48/apps/firefox-bin.png
- usr/share/icons/hicolor/64x64/apps/firefox-bin.png
- usr/share/pixmaps/firefox-bin.png
- var/db/pkg/www-client/firefox-bin-138.0.4/BUILD_TIME
- var/db/pkg/www-client/firefox-bin-138.0.4/CATEGORY
- var/db/pkg/www-client/firefox-bin-138.0.4/CBUILD
- var/db/pkg/www-client/firefox-bin-138.0.4/CFLAGS
- var/db/pkg/www-client/firefox-bin-138.0.4/CHOST
- var/db/pkg/www-client/firefox-bin-138.0.4/CONTENTS
- var/db/pkg/www-client/firefox-bin-138.0.4/COUNTER
- var/db/pkg/www-client/firefox-bin-138.0.4/CTARGET
- var/db/pkg/www-client/firefox-bin-138.0.4/CXX
- var/db/pkg/www-client/firefox-bin-138.0.4/CXXFLAGS
- var/db/pkg/www-client/firefox-bin-138.0.4/DEFINED_PHASES
- var/db/pkg/www-client/firefox-bin-138.0.4/DEPEND
- var/db/pkg/www-client/firefox-bin-138.0.4/DESCRIPTION
- var/db/pkg/www-client/firefox-bin-138.0.4/EAPI
- var/db/pkg/www-client/firefox-bin-138.0.4/FEATURES
- var/db/pkg/www-client/firefox-bin-138.0.4/HOMEPAGE
- var/db/pkg/www-client/firefox-bin-138.0.4/INHERITED
- var/db/pkg/www-client/firefox-bin-138.0.4/IUSE
- var/db/pkg/www-client/firefox-bin-138.0.4/IUSE_EFFECTIVE
- var/db/pkg/www-client/firefox-bin-138.0.4/KEYWORDS
- var/db/pkg/www-client/firefox-bin-138.0.4/LDFLAGS
- var/db/pkg/www-client/firefox-bin-138.0.4/LICENSE
- var/db/pkg/www-client/firefox-bin-138.0.4/NEEDED
- var/db/pkg/www-client/firefox-bin-138.0.4/NEEDED.ELF.2
- var/db/pkg/www-client/firefox-bin-138.0.4/PF
- var/db/pkg/www-client/firefox-bin-138.0.4/PROVIDES
- var/db/pkg/www-client/firefox-bin-138.0.4/QA_PREBUILT
- var/db/pkg/www-client/firefox-bin-138.0.4/RDEPEND
- var/db/pkg/www-client/firefox-bin-138.0.4/REQUIRES
- var/db/pkg/www-client/firefox-bin-138.0.4/RESTRICT
- var/db/pkg/www-client/firefox-bin-138.0.4/SIZE
- var/db/pkg/www-client/firefox-bin-138.0.4/SLOT
- var/db/pkg/www-client/firefox-bin-138.0.4/USE
- var/db/pkg/www-client/firefox-bin-138.0.4/environment.bz2
- var/db/pkg/www-client/firefox-bin-138.0.4/firefox-bin-138.0.4.ebuild
- var/db/pkg/www-client/firefox-bin-138.0.4/repository
package_cacheimage: ""
runtime:
  name: firefox-bin
  version: 138.0.4+1
  category: www-client
  use_flags:
  - -geckodriver
  - -selinux
  - alsa
  - ffmpeg
  - wayland
  - pulseaudio
  requires:
  - name: dbus-glib
    version: '>=0'
    category: dev-libs
  - name: pulseaudio
    version: '>=0'
    category: media-sound
  - name: freedesktop-icon-theme
    version: '>=0'
    category: virtual
  - name: gdk-pixbuf
    version: '>=0'
    category: x11-libs-2
  - name: gtk+
    version: '>=0'
    category: x11-libs-2
  - name: gtk+
    version: '>=0'
    category: x11-libs-3
  - name: libXext
    version: '>=0'
    category: x11-libs
  annotations:
    desktop_browser: true
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Firefox Web Browser (stable)
  uri:
  - https://www.mozilla.org/en-US/firefox/
  license: MPL-2.0 GPL-2 LGPL-2.1
  labels:
    DEPEND: app-arch/unzip alsa? ( !pulseaudio? ( dev-util/patchelf media-sound/apulse
      ) ) dev-util/desktop-file-utils x11-misc/shared-mime-info
    IUSE: +alsa +ffmpeg geckodriver +pulseaudio selinux wayland startup-notification
      l10n_ach l10n_af l10n_an l10n_ar l10n_ast l10n_az l10n_be l10n_bg l10n_bn l10n_br
      l10n_bs l10n_ca-valencia l10n_ca l10n_cak l10n_cs l10n_cy l10n_da l10n_de l10n_dsb
      l10n_el l10n_en-CA l10n_en-GB l10n_en-US l10n_eo l10n_es-AR l10n_es-CL l10n_es-ES
      l10n_es-MX l10n_et l10n_eu l10n_fa l10n_ff l10n_fi l10n_fr l10n_fur l10n_fy-NL
      l10n_ga-IE l10n_gd l10n_gl l10n_gn l10n_gu-IN l10n_he l10n_hi-IN l10n_hr l10n_hsb
      l10n_hu l10n_hy-AM l10n_ia l10n_id l10n_is l10n_it l10n_ja l10n_ka l10n_kab
      l10n_kk l10n_km l10n_kn l10n_ko l10n_lij l10n_lt l10n_lv l10n_mk l10n_mr l10n_ms
      l10n_my l10n_nb-NO l10n_ne-NP l10n_nl l10n_nn-NO l10n_oc l10n_pa-IN l10n_pl
      l10n_pt-BR l10n_pt-PT l10n_rm l10n_ro l10n_ru l10n_sat l10n_sc l10n_sco l10n_si
      l10n_sk l10n_skr l10n_sl l10n_son l10n_sq l10n_sr l10n_sv-SE l10n_szl l10n_ta
      l10n_te l10n_tg l10n_th l10n_tl l10n_tr l10n_trs l10n_uk l10n_ur l10n_uz l10n_vi
      l10n_xh l10n_zh-CN l10n_zh-TW kernel_linux
    RDEPEND: dev-libs/atk >=sys-apps/dbus-0.60 >=dev-libs/dbus-glib-0.72 >=dev-libs/glib-2.26:2
      media-libs/fontconfig >=media-libs/freetype-2.4.10 >=x11-libs/cairo-1.10[X]
      x11-libs/gdk-pixbuf >=x11-libs/gtk+-2.18:2 >=x11-libs/gtk+-3.4.0:3 x11-libs/libX11
      x11-libs/libXcomposite x11-libs/libXdamage x11-libs/libXext x11-libs/libXfixes
      x11-libs/libXrender x11-libs/libXt >=x11-libs/pango-1.22.0 virtual/freedesktop-icon-theme
      alsa? ( !pulseaudio? ( media-sound/apulse ) ) geckodriver? ( www-apps/geckodriver
      ) pulseaudio? ( media-sound/pulseaudio ) ffmpeg? ( media-video/ffmpeg ) selinux?
      ( sec-policy/selinux-mozilla )
    emerge.packages: www-client/firefox-bin
    kit: browser-kit
    original.package.name: www-client/firefox-bin
    original.package.slot: "0"
    original.package.version: 138.0.4
